<script>
import appConfig from '@src/app.config.json'
import Layout from '@layouts/main'
import JobOfferDetail from '@components/job-offer/job-offer-detail'

export default {
  page: {
    title: 'Affichage du detail d\'une annonce',
    meta: [{ name: 'description', content: appConfig.description }],
  },
  components: { Layout, JobOfferDetail },
  data() {
    return {
      title : 'Affichage du detail d\'une annonce',
      jobOffer : null,
    }
  },
  mounted() {
    this.getJobOffer();
  },
  methods : {
    async getJobOffer() {
      this.jobOffer = await this.$store.dispatch('jobOffer/find', {id: this.$route.params.id})
    }
  }
}
</script>

<template>
  <Layout v-if="jobOffer" :title="jobOffer.name">
    <JobOfferDetail :jobOffer="jobOffer" mode="create"></JobOfferDetail>
  </Layout>
</template>
